%global debug_package %{nil}

Name:           gearlever
Version:        2.3.2

%global forgeurl https://github.com/mijorus/%{name}
%global tag %{version}
%global date 20241203
%forgemeta

%global app_id it.mijorus.gearlever

Release:        1%{?dist}
License:        GPL-3.0
Summary:        Manage AppImages with ease
URL:            %{forgeurl}
Source:         %{forgesource}

#------------------------------------------------------------------

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  gtk-update-icon-cache
BuildRequires:  hicolor-icon-theme
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  ninja-build

BuildRequires:  python3-devel
BuildRequires:  python3-certifi
BuildRequires:  python3-charset-normalizer
BuildRequires:  python3-idna
BuildRequires:  python3-requests
BuildRequires:  python3-urllib3

Requires:       gtk4
Requires:       libadwaita
Requires:       python3-certifi
Requires:       python3-charset-normalizer
Requires:       python3-gobject
Requires:       python3-idna
Requires:       python3-requests
Requires:       python3-urllib3

#------------------------------------------------------------------

%description
%{summary}

Features
 - Integrate AppImages into your app menu with just one click
 - Drag and drop files directly from your file manager
 - Keep all the AppImages organized in a custom folder
 - Open new AppImages directly with Gear lever
 - Manage updates: keep older versions installed or replace them with the latest release
 - Save CLI apps with their executable name automatically
 - Modern and Fresh UI

%files -f %{name}.lang
%license COPYING
%doc README.md

%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{app_id}.desktop
%{_datadir}/appdata/%{app_id}.appdata.xml
%{_datadir}/glib-2.0/schemas/%{app_id}.gschema.xml
%{_datadir}/icons/hicolor/{scalable,symbolic}/apps/%{app_id}*.svg
%{_datadir}/icons/hicolor/scalable/actions/%{name}-*.svg
%{_datadir}/icons/hicolor/scalable/actions/gl-*.svg

#------------------------------------------------------------------

%prep
%forgeautosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%__chmod 0755 %{buildroot}%{_bindir}/%{name}

%py_byte_compile %{python3} %{buildroot}%{_datadir}/%{name}/%{name}/*.py
%py_byte_compile %{python3} %{buildroot}%{_datadir}/%{name}/%{name}/*/*.py

rm -v %{buildroot}%{_datadir}/icons/hicolor/scalable/actions/meson.build
rm -v %{buildroot}%{_datadir}/%{name}/%{name}/meson.build

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{app_id}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{app_id}.appdata.xml

#------------------------------------------------------------------

%changelog
* Sun Dec 22 2024 Hazel Bunny <hazel_bunny@disroot.org> - 2.3.2-1
- Update to 2.3.2

* Tue Oct 29 2024 Hazel Bunny <hazel_bunny@disroot.org> - 2.1.0-1
- Initial package

